<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>API SUPERS HEROS</title>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css"
      integrity="sha512-DTOQO9RWCH3ppGqcWaEA1BIZOC6xxalwEsw9c2QQeAIftl+Vegovlnee1c9QX4TctnWMn13TZye+giMm8e2LwA=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
    <link rel="stylesheet" href="./styles.css" />
    <script src="./app.js" defer></script>
  </head>

  <body>
    <header>
      <h1>Le monde des supers héros</h1>
      <h2 class="subTitle">
        et autres méchants affreux pas gentils du tout ...
      </h2>
    </header>

    <section id="root" class="container-fluid">
      <div class="row justify-content-center">
        <form action="#" class="mb-5">
          <div class="row">
            <div class="form-group col-sm-12 col-md-6">
              <label for="superHerosName">Choisir un Super Héros :</label>
              <select
                class="form-control"
                name="superHerosName"
                id="superHerosName"
              >
                <option value="all">All</option>
                <!-- Affichage de tous les noms des supers héros -->
              </select>
            </div>
            <div class="form-group col-md-6">
              <label for="superHerosPublisher">Choisir un éditeur :</label>
              <select
                class="form-control"
                name="superHerosPublisher"
                id="superHerosPublisher"
              >
                <option value="all">All</option>
                <!-- Affichage de toutes les familles des supers héros -->
              </select>
            </div>
          </div>
        </form>
        <div class="loader"></div>
      </div>
      <div id="display" class="row gap-2 justify-content-around p-2">
        <!-- ############################### -->
        <!-- Affichage des données de l'API -->
        <!-- ############################### -->
      </div>
      <div id="modal" class="modal">
        <div class="modal-content">
          <div id="modal-content"></div>
        </div>
      </div>
    </section>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
